<?php

namespace App\Policies;

use App\Models\PurchaseHistory;
use App\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class PurchaseHistoryPolicy
{
    use HandlesAuthorization;

    public function viewAny(User $user): bool
    {
        return $user->isSuperAdmin();
    }

    public function view(User $user, PurchaseHistory $purchaseHistory): bool
    {
        return $user->isSuperAdmin();
    }
}
